Subject: bug#46827: Broken initial size of GTK3 frame

From: martin rudalics <[email-masked]>
Date: Sat, 6 Mar 2021 20:28:00 +0100

> I still don't see the problem, because that last check you show above
 > will catch that, right?

You mean that if windows_or_buffers_changed, we handle that in the last
check and all the former check has to do is to assure that the selected
window is right?  Then why do we call do_pending_window_change at all in
the "second" case.  Because we might go to end_of_redisplay right from
there?  But then the third check won't catch it.  I'm clearly confused.

 > SET_FRAME_GARBAGED also causes windows_or_buffers_changed to be set.

Via 'redisplay_other_windows', I see.

martin